/* Общие стили */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    /*font-family: 'Arial', sans-serif; */
	font-family: "Courier New", "Lucida Console", monospace;
    background-color: #ffffff;
    color: #333;
    line-height: 1.6;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
}

.parser {
    font-size: 14px;
	 
}


pre {
    line-height: 0.7;
    font-size: 15px;
}

.parser ul {
    list-style-type: none;
}

button.parser {
 background-color: #778899;
    color: #ffffff;
    padding: 5px 5px 5px 5px;
    font-size: 20px;
    border-radius: 37px;
    text-decoration: none;
    transition: all 0.3s ease;
    border: none;
    cursor: pointer;
    margin: 10px 10px 10px 10px;
}


i.fa-solid.fa-piggy-bank {
    color: gold;
}

.signal {
       font-size: 12px;
    text-align: left;
    display: block;
   
    width: 310px;
    margin: 0 auto;

}

.signal h1 {
    font-size: 18px;
    font-weight: 600;
	text-align: center;
}


i#refreshDemoBalance {
    font-size: 16px;
    color: #4caf50;
}


i.fa-brands.fa-redhat {
    color: steelblue;
}

i.fa-solid.fa-beer-mug-empty {
    color: #ffb300;
}

i.fa-solid.fa-poo {
    color: tan;
}

i.fa-brands.fa-earlybirds {
    color: skyblue;
}

i.fa-solid.fa-robot {
   color: #778899;
}


.bot-names {
    display: inline-flex;
}

.current-time {
    font-size: 13px;
}
.time-slots {
    font-size: 12px;
}


h1 .fas {    
    color: steelblue;
    font-size: 18px;
}

.iconki {
    font-size: 20px;
}

i.fa-brands.fa-battle-net {
    color: lightslategrey;
}


i.fa-solid.fa-euro-sign {
    font-size: 35px;
    margin: 10px;
    color: cadetblue;
}

.account_id {
   font-size: 12px;
    position: absolute;
    margin-top: 22px;
    margin-left: -1px;
    color: silver;
}


i.fa-solid.fa-dollar-sign {
    font-size: 35px;
    margin: 10px;
    color: cadetblue;
}



 .apexcharts-tooltip {
            border-radius: 5px;
            box-shadow: 2px 2px 6px -4px #999;
            cursor: default;
            font-size: 12px;
            left: 62px;
            opacity: 0;
            pointer-events: none;
            position: absolute;
            top: 20px;
            display: flex;
            flex-direction: column;
            overflow: hidden;
            white-space: nowrap;
            z-index: 12;
            transition: .15s ease all;
            padding: 7px;
            text-align: left;
            font-weight: bold;
        }
        .chart-container {
            margin-top:  0px;
            height: 280px;
            width: 100%;
        }
        #priceChart {
            width: 100%;
            height: 100%;
            background: transparent;
        }



/* МЕНЮ  */

.bottom-nav {
  position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background: #dddddd7d;
    backdrop-filter: blur(10px);
   padding: 15px 5px 10px 5px;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    z-index: 1000;
}

/* Контейнер кнопок */
.nav-container {
    display: flex;
    justify-content: space-around;
    max-width: 500px;
    margin: 0 auto;
}

/* Стили кнопок */
.nav-btn {
 display: flex;
    flex-direction: column;
    align-items: center;
    color: #5d5d5d;
    text-decoration: none;
    font-size: 12px;
    transition: 0.3s;
    font-weight: 800;
}

.nav-btn:hover {
    color: steelblue;
    transform: translateY(-2px);
}

/* Иконки */
.nav-btn i {
    font-size: 20px;
    margin-bottom: 4px;
	color: lightslategrey;
}

/* МЕНЮ   */






.fa-icon {
   margin: 5px 0px 0px 0px;
    font-size: 15px;
	color: lightslategrey;
}

/* Основные контейнеры */
.content, .container {
    text-align: center;
    max-width: 700px;
    width: 100%;
    margin-top: 20px;
	/*    border: 1px solid #e3e3e3;  */
    border-radius: 15px;
    padding: 5px 10px 5px 10px !important;
	height: 80vh;
}


.content-index {
    text-align: center;
    max-width: 700px;
    width: 100%;
    margin-top: 20px;
    
}



/* Шапка */
.header {
    display: flex;
     justify-content: space-between; 
    align-items: center;
    width: 100%;
    margin-bottom:  0px;
	    padding-top: 10px;
}


.spisok {
    margin-bottom: 10px;
}

a.back-btn {
    color: gray;
    text-decoration: auto;
	display: block;
	text-align: center;
	 
}


.inform {
    margin: -20px 0px 0px 0px;
	font-weight: bold;
}

/* Стили для блока анализов */
.analysis-container {
    
}


.analysis-message {
    text-align: left;
    font-size: 13px;
    line-height: 1;
}


.analysis-item {
  padding: 10px;
    margin-bottom: 10px;
    border-left: 4px solid #ccc;
    background-color: #ffffff;
    border-radius: 8px;
}

.analysis-item.has-signal {
    border-left-color: #4CAF50;
    background-color: #e8f5e9;
}

.analysis-item.no-signal {
   border-left-color: #cccccc;
    /* background-color: #ffebee; */
}

.analysis-header {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
    font-weight: bold;
	font-size: 14px;
}

.analysis-message {
    margin-bottom: 5px;
    color: #333;
    font-size: 12px;
}

.analysis-price {
  font-size: 16px;
    color: #666;
    /* font-style: italic; */
    font-weight: bold;
}

/* Общие стили для карточек */
.bot-card {
    margin-bottom: 20px;
}

/* Адаптация существующих стилей для нового блока */
.trade-container, .analysis-container {
    /*background-color: white; */
    /* border-radius: 8px; */
    /* padding: 15px; */
    /* box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);*/
}

.trade-message, .analysis-message {
    word-break: break-word;
}

/* Стили для блока анализов */







 /* Стили для красивого переключателя */
        .switch {
            position: relative;
            display: inline-block;
            width: 40px;  /* Уменьшили в 2 раза */
            height: 20px; /* Уменьшили в 2 раза */
            margin: 5px 0;
        }
        
        .switch input {
            opacity: 0;
            width: 0;
            height: 0;
        }
        
        .slider {
            position: absolute;
            cursor: pointer;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ccc;
            transition: .4s;
            border-radius: 20px; /* Подогнали под новый размер */
            outline: none; /* Убираем выделение */
        }
        
        .slider:before {
            position: absolute;
            content: "";
            height: 16px;  /* Подогнали под новый размер */
            width: 16px;   /* Подогнали под новый размер */
            left: 2px;     /* Подогнали под новый размер */
            bottom: 2px;   /* Подогнали под новый размер */
            background-color: white;
            transition: .4s;
            border-radius: 50%;
        }
        
        input:checked + .slider {
            background-color: #4CAF50;
        }
        
        input:checked + .slider:before {
            transform: translateX(20px); /* Подогнали под новый размер */
        }
        
        /* Убираем выделение при фокусе */
        .switch input:focus + .slider {
            box-shadow: none;
        }
        
        /* Стили для шкалы */
        .volume-control {
          display: flex;
		  align-items: center;
		  height: 30px;
		  margin: 10px 0;
		  gap: 3px;
        }
        
        .volume-bar {
           width: 15px;
			height: 30px;
			background: #ddd;
			border-radius: 3px;
			cursor: pointer;
			transition: background 0.3s;
        }
        
        .volume-bar.active {
           background: cadetblue;
        }
        
        /* Убираем выделение при клике */
        * {
            -webkit-tap-highlight-color: transparent;
            tap-highlight-color: transparent;
        }


/* Чекбоксы */

.toggler-wrapper.style-12 input[type="checkbox"]:checked+.toggler-slider .toggler-knob {
  left: calc(100% - 19px - 3px);
  background-image: url(../img/lock-fill.svg);
}

.toggler-wrapper.style-12 .toggler-knob {
  width: calc(25px - 6px);
  height: calc(25px - 6px);
  border-radius: 50%;
  left: 3px;
  top: 3px;
  background-color: #fff;
  background-image: url(../img/lock-unlock-fill.svg);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}

/* Чекбоксы */



/* Типографика */
h1 {
    font-size: 25px;
    color: #222;
    font-weight: normal;
    margin: 10px 0;
	font-weight: bold;
}

.logo {
   font-size: 20px;
        padding-top: 0px;
        font-weight: 100;
}

.description, .bot-description {
    color: #555;
    margin-bottom: 5px;
    font-size: 13px;
    line-height: 1.3;
}

/* Карточки */
.bot-card, .summary {
    /* background: #f9f9f9; */
    border-radius: 10px;
    padding: 10px 20px 10px 20px;
    margin-bottom:  0px;
    width: 100%;
}

/* Блок валюты на странице balance */
.currency-info {
 background: #ffffff;
    padding: 10px;
    border-radius: 10px;
    margin: 0px;
    width: 100%;
    max-width: 335px;
    display: flex;
    /* align-items: center; */
    justify-content: space-between;
    cursor: pointer;
    transition: all 0.3s ease;
    text-decoration: none;
    color: inherit;
    display: inline-flex;
    border: 1px solid #e2e2e2;
    border-radius: 12px;
}

.currency-info:hover {
    background: #f0f0f0;
}

.currency-details {
    text-align: left;
    flex-grow: 1;
}

.currency-name {
     font-size: 18px;
    margin-bottom: 15px;
    font-weight: 500;
    display: contents;
    color: #6a6a6a;
}

.currency-rate {
    font-size: 17px;
    margin: -7px 0px 0px 0px;
    font-weight: bold;
}

 



.currency-icon {
    width: 45px;
    height: 45px;
    margin: 5px 0px 5px 5px;
    border-radius: 50%;
    object-fit: cover;
    
}

/* Кнопки */
.bots-btn, .add-bot-btn, .control-btn {   
  /* display: inline-block; */
    background-color: #ffdd2d;
    color: #000000;
    padding: 9px 20px;
    font-size: 16px;
    border-radius: 8px;
    text-decoration: none;
    transition: all 0.3s ease;
    border: none;
    cursor: pointer;
}

 


.login-btn  {   

/*background-color: #000000; */
    color: gray;
    padding: 10px 6px 4px 6px;
    font-size: 30px;
    border-radius: 40px;
    text-decoration: none;
    transition: all 0.3s ease;
    border: none;
    cursor: pointer;
  /* text-shadow: 0px 1px 0px #000000;*/

}
.login-btn:hover  { 

   color: #ffdd2d;

}

.bots-btn:hover, .add-bot-btn:hover, .control-btn:hover {
    background-color: #fab619;
}

/* Ссылки (кнопка Назад и Выход) */
.logout-link, .back-link {
    color: #898687;
    text-decoration: none;
    font-size: 1rem;
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    cursor: pointer;
    display: inline;
}

.logout-link:hover, .back-link:hover {
    text-decoration: underline;
}

/* Стили для страницы bots */


    .joke-container {
            font-style: italic;
            color: #666;
            margin: 10px 0;
            padding: 10px;
            background-color: #f9f9f9;
            border-radius: 8px;
            border-left: 4px solid #4CAF50;
            font-size: 14px;
        }
        .refresh-joke {
            cursor: pointer;
            color: #4CAF50;
            font-size: 12px;
            margin-top: 5px;
            display: inline-block;
        }
        .refresh-joke:hover {
            text-decoration: underline;
        }
        .trade-message {
		    margin: -30px 0px 0px 3px;
    padding: 14px 0px 0px 10px;
    border-radius: 7px;
    font-size: 12px;
    line-height: 1;
    white-space: pre-line;
    text-align: left;
    
    border-left: 4px solid #ccc;
        }
        .trade-timestamp {
         color: #666;
        font-size: 13px;
       margin: 4px 0px 6px 20px;
        text-align: left;
        }
        .profit {
            color: #4CAF50;
        }
        .loss {
            color: #F44336;
        }
        .demo-balance {
			font-weight: bold;
			margin-bottom: 30px;
			font-size: 16px;
        }
        .trade-container {
			margin-bottom: 0px;    
			padding: 0px;    		
        }
        .current-price {
           font-weight: bold;
			color: #2196F3;
			margin: -30px 0px -30px 0px;
        }
        .open-trade {
           border-left: 4px solid #4CAF50;
			padding-left: 10px;
			margin-bottom: 40px;
        }



.joke-text {
    font-style: italic;
    color: #666;
    margin: 10px 0;
    padding: 10px;
    background-color: #f5f5f5;
    border-radius: 5px;
}


.bot-cards {
    width: 100%;
    margin-top: 0px;
}

.bot-card {
    text-align: left;
}

.bot-name {
  font-size: 18px;
    margin-bottom: 15px;
    font-weight: 600;
    display: contents;
    color: #242424;
}

a.bot-btn {
    color: gray;
    text-decoration: auto;
    display: inline-block;
    background-color: #ffdd2d;
    color: #000000;
    padding: 8px 20px;
    font-size: 14px;
    border-radius: 8px;
    text-decoration: none;
    transition: all 0.3s ease;
    border: none;
    cursor: pointer;
}


.bot-status {
    display: inline-block;
    padding: 6px 12px;
    background: #e0e0e0;
    border-radius: 6px;
    font-size: 0.9rem;
    color: #555;
}

.bot-controls {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-top: -5px;
}

.bot-stats {
    margin-top: 30px;
    color: #555;
    font-size: 1rem;
}

.stat-item {
    display: flex;
    justify-content: space-between;
    
    border-bottom: 1px solid #eee;
}

/* Разное */

img.hero-image {
   width: 100%;
    max-width: 200px;
    margin: 0px auto;
    display: block;
	margin-top: 50px;
}



.summary-item {
   display: flex;
    margin-bottom: 5px;
    font-size: 20px;
    color: lightslategrey;
    font-weight: bold;
}

.summary-item span:last-child {
    font-weight: bold;
    margin: 0px 0px 0px 10px;
}

.empty-portfolio {
    color: #555;
    margin: 30px 0;
    font-size: 1.1rem;
    line-height: 1.7;
}

.update-info {
   font-size: 12px;
    color: #898687;
    /* margin-top: 15px; */
    /* padding-top: 20px; */
    /* border-top: 1px solid #eee; */
    /* width: 100%; */
    bottom: 65px;
    position: absolute;
    text-align: center;
}

.chart-container {
    width: 100%;
}

/* Стили для страницы ошибок */
.error-container {
    background-color: white;
    padding: 30px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    max-width: 600px;
}

.error-container h1 {
    color: #dc3545;
}

/* Стили для PIN-страницы */

  .close-btn {
           position: absolute;
    top: 0px;
    right: 15px;
    font-size: 40px;
    color: #999;
    text-decoration: none;
    cursor: pointer;
        }
        .close-btn:hover {
            color: #333;
        }
        .pin-container {
            position: relative;
        }


.pin-container {
    background-color: white;
    width: 100%;
    max-width: 400px;
    padding: 40px 30px;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    text-align: center;
	margin: auto 0;
}

.pin-inputs {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 30px;
}

.pin-input {
    width: 50px;
    height: 60px;
    text-align: center;
    font-size: 24px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background-color: #f9f9f9;
    -webkit-text-security: disc;
    -moz-text-security: disc;
    text-security: disc;
}

.pin-input:focus {
    outline: none;
    border-color: #ffdd2d;
    box-shadow: 0 0 0 2px rgba(255, 221, 45, 0.2);
}

.error {
    color: #e74c3c;
    margin-top: 15px;
    font-size: 0.9rem;
}

.hidden {
    display: none;
}

/* Адаптивные стили */
@media (max-width: 768px) {
    .content, .container {
        padding: 0;
        margin-top: 0px;
    }
    
    h1 {
		font-size: 25px;
        font-weight: bold;
        margin: 10px;
    }
    
    .logo {
       font-size: 20px;
        padding-top: 0px;
        font-weight: 100;
    }
    
    .description, .bot-description {
        font-size: 12px;
    }
    
    .bot-card, .summary, .currency-info {
        padding: 10px;
		margin-top:  0px;
    }
    
   
    
    .currency-rate {
        font-size: 1.2rem;
    }
    
    .currency-icon {
        width: 45px;
        height: 45px;
    }
}

@media (max-width: 480px) {
    .pin-container {
        padding: 30px 20px;
		margin: auto 0;
    }
    
    .pin-input {
        width: 45px;
        height: 55px;
        font-size: 30px;
    }
    
    .pin-inputs {
        gap: 10px;
    }
    
    .currency-info {
                padding: 1px 10px 1px 10px;
    }
    
    .currency-icon {
         width: 45px;
        height: 45px;
        margin: 5px 0px 5px 5px;
    }
}